Package org.springframework.beans.factory

# Class CannotLoadBeanClassException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.beans.BeansException
org.springframework.beans.FatalBeanException
org.springframework.beans.factory.CannotLoadBeanClassException

All Implemented Interfaces:
  `Serializable`

public class CannotLoadBeanClassException extends FatalBeanException
Exception thrown when the BeanFactory cannot load the specified class of a given bean.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CannotLoadBeanClassException(String resourceDescription, String beanName, String beanClassName, ClassNotFoundException cause)`
Create a new CannotLoadBeanClassException.
`CannotLoadBeanClassException(String resourceDescription, String beanName, String beanClassName, LinkageError cause)`
Create a new CannotLoadBeanClassException.

## Method Summary

Modifier and Type
Method
Description
`String`
`getBeanClassName()`
Return the name of the class we were trying to load.
`String`
`getBeanName()`
Return the name of the bean requested.
`String`
`getResourceDescription()`
Return the description of the resource that the bean definition came from.

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CannotLoadBeanClassException

public CannotLoadBeanClassException(@Nullable String resourceDescription, String beanName, @Nullable String beanClassName, ClassNotFoundException cause)
Create a new CannotLoadBeanClassException.

Parameters:
  `resourceDescription` - description of the resource that the bean definition came from
  `beanName` - the name of the bean requested
  `beanClassName` - the name of the bean class
  `cause` - the root cause

### CannotLoadBeanClassException

public CannotLoadBeanClassException(@Nullable String resourceDescription, String beanName, @Nullable String beanClassName, LinkageError cause)
Create a new CannotLoadBeanClassException.

Parameters:
  `resourceDescription` - description of the resource that the bean definition came from
  `beanName` - the name of the bean requested
  `beanClassName` - the name of the bean class
  `cause` - the root cause

## Method Details

### getResourceDescription

@Nullable public String getResourceDescription()
Return the description of the resource that the bean definition came from.

### getBeanName

public String getBeanName()
Return the name of the bean requested.

### getBeanClassName

@Nullable public String getBeanClassName()
Return the name of the class we were trying to load.